Subject: Re: [DNSOP] Murray Kucherawy's No Objection on draft-ietf-dnsop-server-cookies-04: (with COMMENT)

From: Willem Toorop <[email-masked]>
Date: Mon, 11 Jan 2021 16:48:44 +0100

Thank you Murray for your review,

Op 16-12-2020 om 07:31 schreef Murray Kucherawy via Datatracker:
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> In Section 3 there's a line that says "Client-Cookie = 64 bits of entropy"
> which is both (a) not a sentence, and (b) the same as something said in the
> first paragraph of this section.  I think it can be removed.

It is an ascii-art showing how the value of the Client Cookie is
determined, similar to how there is an ascii-art for the Hash value in
the Server Cookie in section 4.4.

> Also in Section 7, you're creating a registry with Expert Review, but there's
> no particular guidance offered to the Designated Expert once one is assigned,
> as suggested by RFC 8126.  Are we all OK with that?  You might advise, for
> example, that the registration of a new Method really should have a
> specification someplace.

The revised document (posted soon) does have more text on the
requirements for the pseudorandom function (though not in Section 7
itself). Also, we don't really expect a new algorithm anytime soon.

Your other comments have been addressed in the revised document.

Cheers,
-- Willem

> 
> 
> 
> _______________________________________________
> DNSOP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dnsop
>